Public Member Functions | Private Attributes | List of all members
libebook::EBOOKUTF8Stream Class Reference

`#include <EBOOKUTF8Stream.h>`

Inheritance diagram for libebook::EBOOKUTF8Stream:

## Public Member Functions
| EBOOKUTF8Stream (librevenge::RVNGInputStream *strm, EBOOKCharsetConverter *converter=0)
virtual | ~EBOOKUTF8Stream ()
virtual bool | isStructured ()
virtual unsigned | subStreamCount ()
virtual const char * | subStreamName (unsigned id)
virtual bool | existsSubStream (const char *name)
virtual librevenge::RVNGInputStream * | getSubStreamByName (const char *name)
virtual RVNGInputStream * | getSubStreamById (unsigned id)
virtual const unsigned char * | read (unsigned long numBytes, unsigned long &numBytesRead)
virtual int | seek (long offset, librevenge::RVNG_SEEK_TYPE seekType)
virtual long | tell ()
virtual bool | isEnd ()

## Private Attributes
boost::scoped_ptr< librevenge::RVNGInputStream > | m_stream

## Constructor & Destructor Documentation

## § EBOOKUTF8Stream()

libebook::EBOOKUTF8Stream::EBOOKUTF8Stream | ( | librevenge::RVNGInputStream * | strm,
|  | EBOOKCharsetConverter * | converter = `0`
| ) |  |
| explicit

## § ~EBOOKUTF8Stream()

libebook::EBOOKUTF8Stream::~EBOOKUTF8Stream | ( |  | ) |
| virtual

## Member Function Documentation

## § existsSubStream()

bool libebook::EBOOKUTF8Stream::existsSubStream | ( | const char * | name | ) |
| virtual

## § getSubStreamById()

librevenge::RVNGInputStream * libebook::EBOOKUTF8Stream::getSubStreamById | ( | unsigned | id | ) |
| virtual

## § getSubStreamByName()

librevenge::RVNGInputStream * libebook::EBOOKUTF8Stream::getSubStreamByName | ( | const char * | name | ) |
| virtual

## § isEnd()

bool libebook::EBOOKUTF8Stream::isEnd | ( |  | ) |
| virtual

## § isStructured()

bool libebook::EBOOKUTF8Stream::isStructured | ( |  | ) |
| virtual

## § read()

const unsigned char * libebook::EBOOKUTF8Stream::read | ( | unsigned long | numBytes,
|  | unsigned long & | numBytesRead
| ) |  |
| virtual

## § seek()

int libebook::EBOOKUTF8Stream::seek | ( | long | offset,
|  | librevenge::RVNG_SEEK_TYPE | seekType
| ) |  |
| virtual

## § subStreamCount()

unsigned libebook::EBOOKUTF8Stream::subStreamCount | ( |  | ) |
| virtual

## § subStreamName()

const char * libebook::EBOOKUTF8Stream::subStreamName | ( | unsigned | id | ) |
| virtual

## § tell()

long libebook::EBOOKUTF8Stream::tell | ( |  | ) |
| virtual

## Member Data Documentation

## § m_stream

boost::scoped_ptr<librevenge::RVNGInputStream> libebook::EBOOKUTF8Stream::m_stream
| private

Referenced by EBOOKUTF8Stream(), getSubStreamById(), getSubStreamByName(), isEnd(), isStructured(), read(), seek(), subStreamCount(), subStreamName(), and tell().

The documentation for this class was generated from the following files:

- EBOOKUTF8Stream.h
- EBOOKUTF8Stream.cpp